package com.github.jfcloud.gene.file.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.jfcloud.gene.file.entity.FileInfo;
import com.github.jfcloud.gene.file.vo.FileVo;

import java.io.InputStream;
import java.util.List;

public interface FileInfoService extends IService<FileInfo> {

    /**
     * 根据关联id查询文件信息
     * @param relateId
     * @return
     */
    List<FileVo> listByRelateId(Long relateId);

    /**
     * 上传文件，自定义文件名
     *
     * @param fileInputStream 文件流
     * @param fileName        文件名，带后缀
     * @return
     */
    FileVo uploadFileWithFileName(InputStream fileInputStream, String fileName);
}
