package com.github.jfcloud.gene.flow.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.github.jfcloud.gene.common.entity.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 流程审核信息
 * flow_audit
 */
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@Data
public class FlowAudit extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @JsonIgnore
    private Long id;
    /**
     * 流程主键
     */
    private Long flowId;
    /**
     * 流程状态
     */
    @Schema(description = "流程状态")
    private String flowStatus;
    /**
     * 审核状态
     */
    @Schema(description = "审核状态")
    private String auditResult;
    /**
     * 备注
     */
    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "附加字段")
    private String additionalData;

    /**
     * 创建人签名
     */
    @Schema(description = "创建人签名")
    private String createSign;
}