package com.github.jfcloud.gene.flow.entity;

import com.github.jfcloud.gene.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 流程信息
 * flow_info
 */
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@Data
public class FlowInfo extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private Long id;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 品系定制custom，品系净化扩繁purification
     */
    private String target;
    /**
     * 状态
     */
    private String status;
    /**
     * 合同编号
     */
    private String contractNo;
    /**
     * 项目负责人Id
     */
    private Long projectLeaderId;
    /**
     * 项目负责人名称
     */
    private String projectLeaderName;
    /**
     * 项目负责人电话
     */
    private String projectLeaderPhone;
    /**
     * 项目负责人邮箱
     */
    private String projectLeaderEmail;
    /**
     * 基因编辑部门负责人
     */
    private Long geneEditPlId;

    /**
     * 项目管理部审核人
     */
    private Long projectManageId;
    /**
     * 机构名称
     */
    private String institutionName;
    /**
     * 批准编号
     */
    private String approvalNo;
    /**
     * 修订号
     */
    private String revisionNo;
    /**
     * 收件日期
     */
    private String receiptDate;
    /**
     * 批准日期
     */
    private String approvalDate;
    /**
     * 动物入组
     */
    private String animalEnrollment;
    /**
     * 终末取材
     */
    private String finalSampling;
    /**
     * 科研id
     */
    private Long kyId;
}