package com.github.jfcloud.gene.form.entity;

import com.github.jfcloud.gene.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 动物需求信息
 * animal_demand
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AnimalDemand extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private Long id;
    /**
     * 关联品系净化扩繁基本信息表的ID
     */
    private Long purificationId;
    /**
     * 性别
     */
    private String gender;
    /**
     * 周龄
     */
    private Integer ageWeeks;
    /**
     * 数量
     */
    private Integer quantity;
    /**
     * 品系名称
     */
    private String strainName;
    /**
     * 基因型名称
     */
    private String genotypeName;
    /**
     * 备注
     */
    private String remarks;
}