package com.github.jfcloud.gene.sys.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.jfcloud.gene.sys.entity.DBSystemProperties;
import com.github.jfcloud.gene.sys.mapper.DBSystemPropertiesMapper;
import com.github.jfcloud.gene.sys.service.DBSystemPropertiesService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Objects;

@Slf4j
@Service
public class DBSystemPropertiesServiceImpl extends ServiceImpl<DBSystemPropertiesMapper, DBSystemProperties> implements DBSystemPropertiesService {

    @Override
    public String getValue(String key) {
        DBSystemProperties properties = getById(key);
        if (Objects.isNull(properties)) {
            log.info("未找到配置【{}】", key);
            return null;
        }

        log.info("配置【{}】值，即{}，为【{}】", key, properties.getRemark(), properties.getPropValue());
        return properties.getPropValue();
    }

    @Override
    public boolean equals(String key, String value) {
        return Objects.equals(getValue(key), value);
    }
}
